Subject: Re: bug#45502: [PATCH] Prettier key bindings in NS menu entries

From: Mattias Engdegård <[email-masked]>
Date: Wed, 30 Dec 2020 13:19:48 +0100

30 dec. 2020 kl. 00.49 skrev Alan Third <[email-masked]>:

> I think it's maybe visually a little neater to use autorelease, but
> either way works and I would probably do it the other way in different
> circumstances. Feel free to change it if you want.

Thanks, I'm sticking to autorelease for uniformity here; slightly delayed deallocation is no worse than GC after all.

>> Presumably 'atitle' should be sent autorelease (or release) as well?
> 
> Yes, I missed that one. And actually, I think the alloc'd NSMenuItem
> on line 484 will need released too. It should probably be autoreleased
> because it's returned to the calling function, and the caller can then
> decide whether to retain it or not (it doesn't in this case).

Yes, fixed.

(By the way, 'chording' isn't quite the same as a multi-key sequence; chords are rather simultaneous presses, like C-M-x, no? To continue a musical metaphor, perhaps an Emacs key sequence is an arpeggio?)

Here is a slightly less ugly variant of the symbol substitution patch. Maybe we should apply it and see if there are any complaints, or if we turn against it ourselves later on?